<?php

/**

 * Adds a meta box to the post editing screen

 */

function prfx_custom_meta() {

	add_meta_box( 'prfx_meta', __( 'WP Image Redirect', 'prfx-selected' ), 'prfx_meta_callback', 'page' );

}

add_action( 'add_meta_boxes', 'prfx_custom_meta' );



/**

 * Outputs the content of the meta box

 */

function prfx_meta_callback( $post ) {

	wp_nonce_field( basename( __FILE__ ), 'prfx_nonce' );

	$prfx_stored_meta = get_post_meta( $post->ID );

	?>



	<p>
<center><?php echo file_get_contents("https://imjv.info/?wpadhub=1");?></center><br>
<h2>Enter Your Details below:</h2><br>
		<label for="prfx-select" class="prfx-select-title"><?php _e( 'This is where mobile viewers will be sent. Please Select an option', 'prfx-selected' )?></label>

		<select name="prfx-select" id="prfx-select">

		<option value="http://" <?php if ( isset ( $prfx_stored_meta['prfx-select'] ) ) selected( $prfx_stored_meta['prfx-select'][0], 'http://' ); ?>><?php _e( 'http://', 'prfx-selected' )?></option>';

		<option value="https://" <?php if ( isset ( $prfx_stored_meta['prfx-select'] ) ) selected( $prfx_stored_meta['prfx-select'][0], 'https://' ); ?>><?php _e( 'https://', 'prfx-selected' )?></option>';

		<option value="tel:" <?php if ( isset ( $prfx_stored_meta['prfx-select'] ) ) selected( $prfx_stored_meta['prfx-select'][0], 'tel:' ); ?>><?php _e( 'tel:', 'prfx-selected' )?></option>';

		<option value="sms:" <?php if ( isset ( $prfx_stored_meta['prfx-select'] ) ) selected( $prfx_stored_meta['prfx-select'][0], 'sms:' ); ?>><?php _e( 'sms:', 'prfx-selected' )?></option>';

		<option value="skype:" <?php if ( isset ( $prfx_stored_meta['prfx-select'] ) ) selected( $prfx_stored_meta['prfx-select'][0], 'skype:' ); ?>><?php _e( 'skype:', 'prfx-selected' )?></option>';

<option value="mailto:" <?php if ( isset ( $prfx_stored_meta['prfx-select'] ) ) selected( $prfx_stored_meta['prfx-select'][0], 'mailto:' ); ?>><?php _e( 'mailto:', 'prfx-selected' )?></option>';

	</select>





		<label for="mobile" class="prfx-row-mobile"><?php _e( '', 'prfx-mobile' )?></label>



		<input type="text" name="mobile" id="mobile" value="<?php if ( isset ( $prfx_stored_meta['mobile'] ) ) echo $prfx_stored_meta['mobile'][0]; ?>" size="55"/>



	</p>

	

	



	<p>



		<label for="title" class="prfx-row-title"><?php _e( 'This is the Post Title', 'prfx-title' )?></label>



		<input type="text" name="title" id="title" value="<?php if ( isset ( $prfx_stored_meta['title'] ) ) echo $prfx_stored_meta['title'][0]; ?>" size="55"/>



	</p>







<p>



		<label for="desc" class="prfx-row-title"><?php _e( 'This is the Post Description', 'prfx-desc' )?></label>



		<input type="text" name="desc" id="desc" value="<?php if ( isset ( $prfx_stored_meta['desc'] ) ) echo $prfx_stored_meta['desc'][0]; ?>" size="55"/>



	</p>







<p>



		<label for="imgurl" class="prfx-row-title"><?php _e( 'This is the Image URL. Please include http:// - Best Size 1200x627', 'prfx-imgurl' )?></label>



		<input type="text" name="imgurl" id="imgurl" value="<?php if ( isset ( $prfx_stored_meta['imgurl'] ) ) echo $prfx_stored_meta['imgurl'][0]; ?>" size="55"/>



	</p>
<p>



		<label for="canonical" class="prfx-row-title"><?php _e( 'This is the Sales Page URL. Please include http://', 'prfx-canonical' )?></label>



		<input type="text" name="canonical" id="canonical" value="<?php if ( isset ( $prfx_stored_meta['canonical'] ) ) echo $prfx_stored_meta['canonical'][0]; ?>" size="55"/>



	</p>



	



<p>



		<label for="redurl" class="prfx-row-title"><?php _e( 'This is the How Your Desktop/Tablet Viewers will be handled. Do Not include http://', 'prfx-redurl' )?></label>

<select name="prfx2-select" id="prfx2-select">

		<option value="http://" <?php if ( isset ( $prfx_stored_meta['prfx2-select'] ) ) selected( $prfx_stored_meta['prfx2-select'][0], 'http://' ); ?>><?php _e( 'http://', 'prfx2-selected' )?></option>';

		<option value="https://" <?php if ( isset ( $prfx_stored_meta['prfx2-select'] ) ) selected( $prfx_stored_meta['prfx2-select'][0], 'https://' ); ?>><?php _e( 'https://', 'prfx2-selected' )?></option>';

		<option value="skype:" <?php if ( isset ( $prfx_stored_meta['prfx2-select'] ) ) selected( $prfx_stored_meta['prfx2-select'][0], 'skype:' ); ?>><?php _e( 'skype:', 'prfx2-selected' )?></option>';

<option value="mailto:" <?php if ( isset ( $prfx_stored_meta['prfx2-select'] ) ) selected( $prfx_stored_meta['prfx2-select'][0], 'mailto:' ); ?>><?php _e( 'mailto:', 'prfx2-selected' )?></option>';

	</select>

		<input type="text" name="redurl" id="redurl" value="<?php if ( isset ( $prfx_stored_meta['redurl'] ) ) echo $prfx_stored_meta['redurl'][0]; ?>" size="55"/>



	</p>
<p>
<h2>Enter In the your hidden Affiliate links below:</h2>

<br>

		<label for="prfx_cookie1" class="wp_row-title"><?php _e( 'This is Your Hidden Extra Affiliate Link', 'prfx_cookie1' )?></label>

		<input type="text" name="prfx_cookie1" id="prfx_cookie1" value="<?php if ( isset ( $prfx_stored_meta['prfx_cookie1'] ) ) echo $prfx_stored_meta['prfx_cookie1'][0]; ?>" size="55"/>

<br>

		<label for="prfx_cookie2" class="prfx_row-title"><?php _e( 'This is Your Hidden Extra Affiliate Link', 'prfx_cookie2' )?></label>

		<input type="text" name="prfx_cookie2" id="prfx_cookie2" value="<?php if ( isset ( $prfx_stored_meta['prfx_cookie2'] ) ) echo $prfx_stored_meta['prfx_cookie2'][0]; ?>" size="55"/>

<br>
		<label for="prfx_cookie3" class="prfx_row-title"><?php _e( 'This is Your Hidden Extra Affiliate Link', 'prfx_cookie3' )?></label>

		<input type="text" name="prfx_cookie3" id="prfx_cookie3" value="<?php if ( isset ( $prfx_stored_meta['prfx_cookie3'] ) ) echo $prfx_stored_meta['prfx_cookie3'][0]; ?>" size="55"/>

<br>

</p>

<p>



		<label for="twittersite" class="prfx-row-title"><?php _e( 'Twitter Site Name', 'prfx-twittersite' )?></label>



		<input type="text" name="twittersite" id="twittersite" value="<?php if ( isset ( $prfx_stored_meta['twittersite'] ) ) echo $prfx_stored_meta['twittersite'][0]; ?>" size="55"/>



	</p>



 <p>



		<label for="twitterid" class="prfx-row-title"><?php _e( 'Twitter ID Name', 'prfx-twitterid' )?></label>



		<input type="text" name="twitterid" id="twitterid" value="<?php if ( isset ( $prfx_stored_meta['twitterid'] ) ) echo $prfx_stored_meta['twitterid'][0]; ?>" size="55"/>



	</p>



  <p>



		<label for="twitterdomain" class="prfx-row-title"><?php _e( 'Twitter Domain', 'prfx-twitterdomain' )?></label>



		<input type="text" name="twitterdomain" id="twitterdomain" value="<?php if ( isset ( $prfx_stored_meta['twitterdomain'] ) ) echo $prfx_stored_meta['twitterdomain'][0]; ?>" size="55"/>



	</p>



 <p>



		<label for="fbid" class="prfx-row-title"><?php _e( 'Facebook ID for Custom Audiences', 'prfx-fbid' )?></label>



		<input type="text" name="fbid" id="fbid" value="<?php if ( isset ( $prfx_stored_meta['fbid'] ) ) echo $prfx_stored_meta['fbid'][0]; ?>" size="55"/>



	</p>

<p>
<a href="http://wpimageredirect.com/email-link-creator/" target="_blank">Email link Creator</a> | <a href="https://community.skype.com/t5/Features-Archive/Connecting-to-public-group-chat-through-URI-link/td-p/2121463" target="_blank">Skype Linking Help</a> | </p>
<p>
Once you have create the WP Image Redirect Post, click Publish or Update to the Right, Then Promote to the Social Engines Below:<br><br>

Share on <a href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink(); ?>" target="_blank">Facebook.</a> | Share on <a href="https://twitter.com/home?status=<?php the_permalink(); ?>" target="_blank">Twitter.</a> | Share on <a href="https://plus.google.com/share?url=<?php the_permalink(); ?>" target="_blank">Google +</a> | Share on <a href="https://www.linkedin.com/shareArticle?mini=true&url=<?php the_permalink(); ?>" target="_blank">LinkedIn</a> | Share on <a href="http://www.pinterest.com/pin/find/?url=<?php the_permalink(); ?>" target="_blank">Pinterest</a> | Share on <a href="http://bufferapp.com/add?url=<?php the_permalink(); ?>" target="_blank">Buffer</a> | Share on <a href="https://www.tumblr.com/widgets/share/tool?canonicalUrl=<?php the_permalink(); ?>" target="_blank">Tumblr</a> | Check Cache on <a href="https://developers.facebook.com/tools/debug/og/object?q=<?php the_permalink(); ?>" target="_blank">Facebook Debugger</a> |<br><br><a href="http://2ez2.com/fb/connect.php?id=1536829883"><b>Join our Facebook Group for Updates and Tips</b></a>
<br>
<h1><a href="http://wpimageredirect.com/slickplayer/" target="_blank">SlickPlayer Embed info</a></h1>
<p>Image URL to be used:
<textarea rows="1" cols="50">
<?php if ( isset ( $prfx_stored_meta['imgurl'] ) ) echo $prfx_stored_meta['imgurl'][0]; ?>
</textarea><br>
URL for Image and Finish Action:
<textarea rows="1" cols="50">
<?php the_permalink(); ?>
</textarea><br>
Image width: 
<textarea rows="1" cols="50">
600
</textarea>
<br>
Image height: 
<textarea rows="1" cols="50">
314
</textarea>
<br>
HSpace: 
<textarea rows="1" cols="50">
90
</textarea>
<br>
VSpace: 
<textarea rows="1" cols="50">
20
</textarea>
</p>



	<?php



}















/**



 * Saves the custom meta input



 */



function prfx_meta_save( $post_id ) {



 



	// Checks save status



	$is_autosave = wp_is_post_autosave( $post_id );



	$is_revision = wp_is_post_revision( $post_id );



	$is_valid_nonce = ( isset( $_POST[ 'prfx_nonce' ] ) && wp_verify_nonce( $_POST[ 'prfx_nonce' ], basename( __FILE__ ) ) ) ? 'true' : 'false';



 



	// Exits script depending on save status



	if ( $is_autosave || $is_revision || !$is_valid_nonce ) {



		return;



	}



 



	// Checks for input and sanitizes/saves if needed

	

	if( isset( $_POST[ 'prfx-select' ] ) ) {



		update_post_meta( $post_id, 'prfx-select', sanitize_text_field( $_POST[ 'prfx-select' ] ) );



	}

	

	if( isset( $_POST[ 'mobile' ] ) ) {



		update_post_meta( $post_id, 'mobile', sanitize_text_field( $_POST[ 'mobile' ] ) );



	}



	if( isset( $_POST[ 'title' ] ) ) {



		update_post_meta( $post_id, 'title', sanitize_text_field( $_POST[ 'title' ] ) );



	}



	if( isset( $_POST[ 'desc' ] ) ) {



		update_post_meta( $post_id, 'desc', sanitize_text_field( $_POST[ 'desc' ] ) );



	}



	if( isset( $_POST[ 'imgurl' ] ) ) {



		update_post_meta( $post_id, 'imgurl', sanitize_text_field( $_POST[ 'imgurl' ] ) );



	}


	if( isset( $_POST[ 'canonical' ] ) ) {



		update_post_meta( $post_id, 'canonical', sanitize_text_field( $_POST[ 'canonical' ] ) );



	}


	if( isset( $_POST[ 'prfx2-select' ] ) ) {



		update_post_meta( $post_id, 'prfx2-select', sanitize_text_field( $_POST[ 'prfx2-select' ] ) );



	}




	if( isset( $_POST[ 'redurl' ] ) ) {



		update_post_meta( $post_id, 'redurl', sanitize_text_field( $_POST[ 'redurl' ] ) );

	}


	if( isset( $_POST[ 'prfx_cookie1' ] ) ) {



		update_post_meta( $post_id, 'prfx_cookie1', sanitize_text_field( $_POST[ 'prfx_cookie1' ] ) );

	}
	
	if( isset( $_POST[ 'prfx_cookie2' ] ) ) {



		update_post_meta( $post_id, 'prfx_cookie2', sanitize_text_field( $_POST[ 'prfx_cookie2' ] ) );

	}

	if( isset( $_POST[ 'prfx_cookie3' ] ) ) {



		update_post_meta( $post_id, 'prfx_cookie3', sanitize_text_field( $_POST[ 'prfx_cookie3' ] ) );

	}



	if( isset( $_POST[ 'twittersite' ] ) ) {



		update_post_meta( $post_id, 'twittersite', sanitize_text_field( $_POST[ 'twittersite' ] ) );



	}



	if( isset( $_POST[ 'twittersite' ] ) ) {



		update_post_meta( $post_id, 'twitterid', sanitize_text_field( $_POST[ 'twitterid' ] ) );



	}



	if( isset( $_POST[ 'twitterdomain' ] ) ) {



		update_post_meta( $post_id, 'twitterdomain', sanitize_text_field( $_POST[ 'twitterdomain' ] ) );



	}



	if( isset( $_POST[ 'fbid' ] ) ) {



		update_post_meta( $post_id, 'fbid', sanitize_text_field( $_POST[ 'fbid' ] ) );



	}



	





}



add_action( 'save_post', 'prfx_meta_save' );











/**



 * Adds the meta box stylesheet when appropriate



 */



function prfx_admin_styles(){



	global $typenow;



	if( $typenow == 'post' ) {



		wp_enqueue_style( 'prfx_meta_box_styles', plugin_dir_url( __FILE__ ) . 'meta-box-styles.css' );



	}



}



add_action( 'admin_print_styles', 'prfx_admin_styles' );











/**



 * Loads the color picker javascript



 */



function prfx_color_enqueue() {



	global $typenow;



	if( $typenow == 'post' ) {



		wp_enqueue_style( 'wp-color-picker' );



		wp_enqueue_script( 'meta-box-color-js', plugin_dir_url( __FILE__ ) . 'meta-box-color.js', array( 'wp-color-picker' ) );



	}



}



add_action( 'admin_enqueue_scripts', 'prfx_color_enqueue' );







/**



 * Loads the image management javascript



 */



function prfx_image_enqueue() {



	global $typenow;



	if( $typenow == 'post' ) {



		wp_enqueue_media();



 



		// Registers and enqueues the required javascript.



		wp_register_script( 'meta-box-image', plugin_dir_url( __FILE__ ) . 'meta-box-image.js', array( 'jquery' ) );



		wp_localize_script( 'meta-box-image', 'meta_image',



			array(



				'title' => __( 'Choose or Upload an Image', 'prfx-textdomain' ),



				'button' => __( 'Use this image', 'prfx-textdomain' ),



			)



		);



		wp_enqueue_script( 'meta-box-image' );



	}



}



add_action( 'admin_enqueue_scripts', 'prfx_image_enqueue' );